Just got my AK2i, how do I know if it's ready for firmware 1.4

Discussion in 'Acekard' started by tehxeno, Mar 29, 2010.

  1. tehxeno
    OP

    Newcomer tehxeno Member

    Joined:
    Feb 28, 2010
    Messages:
    13
    Country:
    United States
    Hello,
    I just got my AK2i in the mail. I put AKAIO 1.6 R2 with the most recent loader on it, but I also know that I might need to update firmware to work on a DS with the 1.4 firmware.

    I'm currently using an original DS (brick), but I'm planning on getting a DSi or letting a friend borrow it for his DSlite.
    I read this thread http://gbatemp.net/index.php?showtopic=174523 and to my understanding, I put the .nds files on the microSD card and run them...

    Is there a way to check if my AK2i is up to date after I run these?
    Do I need to run both the DSL and DSi .nds files?
     
  2. HBK

    Member HBK Clover - Fearless to Speak Now. ;)

    Joined:
    Mar 30, 2007
    Messages:
    1,813
    Location:
    Portugal
    Country:
    Portugal
    No, those are appropriate to where you are running them from. If you're updating from a DSL, you use the DSL file ONLY. If you're updating on a DSi 1.3 or less, then use the DSi file ONLY. Either one will update your AK bootloader.
     
  3. tehxeno
    OP

    Newcomer tehxeno Member

    Joined:
    Feb 28, 2010
    Messages:
    13
    Country:
    United States
    What if I'm using an original DS?
     
  4. rickth64

    Newcomer rickth64 Member

    Joined:
    Jan 20, 2007
    Messages:
    15
    Country:
    Netherlands
    I used the DSi one to update the card on a DSL. The DSL file is just for faster updating multiple cards.

    I would use the DSi one on your original DS (phat) to update the card.
     
  5. tehxeno
    OP

    Newcomer tehxeno Member

    Joined:
    Feb 28, 2010
    Messages:
    13
    Country:
    United States
    Okay, so just run ak2ifw_update_14_DSi_new.nds, and it should show up as 'danny phantom' if it actually updated, correct?

    Also... is there any update that ISN'T Danny Phantom? Just curious.
     
  6. HBK

    Member HBK Clover - Fearless to Speak Now. ;)

    Joined:
    Mar 30, 2007
    Messages:
    1,813
    Location:
    Portugal
    Country:
    Portugal
    Yes. ^
     
  7. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,881
    Location:
    that place
    Country:
    Canada
    It'll only show up as Danny Phantom on a DSi though. On a DS lite/phat, it'll still show up as an AK2i.
     
  8. tehxeno
    OP

    Newcomer tehxeno Member

    Joined:
    Feb 28, 2010
    Messages:
    13
    Country:
    United States
    So how will I know if it's updated [​IMG]

    Are there any updates that aren't Danny Phantom? Just curious.
     
  9. House Spider

    Banned House Spider In the GBAtemp attic.

    Joined:
    Apr 25, 2009
    Messages:
    1,282
    Location:
    Dundalk
    Country:
    Ireland
    The iPlayer, iEdge, Supercard DSONEi & the DSTTi off the top of my head don't use Danny Phantom.
     
  10. Hakoda

    Member Hakoda GBAtemp Addict

    Joined:
    Feb 2, 2008
    Messages:
    2,133
    Location:
    San Jose, CA
    Country:
    United States
    You're going to have to trust in the card and the message it proclaims. If it says the update is complete & was successful, you just have to trust it. Only way to test is with a DSi 1.4. I don't recall any updates that weren't Danny Phantom for an AK2i.
     
  11. tehxeno
    OP

    Newcomer tehxeno Member

    Joined:
    Feb 28, 2010
    Messages:
    13
    Country:
    United States
    Okay, I updated with the dsi .nds one... seemed to work fine, I can't really check though 'cause I don't know how to see what firmware is on a DSL.

    Is there a way to automatically do the "press b to continue" stuff?
     
  12. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,881
    Location:
    that place
    Country:
    Canada
    If the updater gets 100% and informs you that it's completed, then it should be updated. You can't downgrade an Acekard BTW, so it's safe to run the updater multiple times.


    If you brick your Acekard, use some other flashcart to run the "DSL" file, and pop in the bricked Acekard when it asks you to reinsert the card.

    Also, just so you know, my DS lite stopped working 10 minutes after I updated my Acekard, and if it didn't work the first time, my Acekard wouldn't be working on my DSi XL.
     
  13. tehxeno
    OP

    Newcomer tehxeno Member

    Joined:
    Feb 28, 2010
    Messages:
    13
    Country:
    United States
    Did it twice, works fine on my DS phat,
    Is there a way to make it automatically do the "Press b to continue" stuff?
     
  14. BoxShot

    Member BoxShot Chiyo-chan :3

    Joined:
    Dec 18, 2008
    Messages:
    3,447
    Location:
    Middle of the ocean.
    Country:
    United States
    Is this when you are loading games? Either download the loader off the akaio loader page or use the one that came with 1.6 rc2. I forget which one includes that debug stuff. [​IMG]
     
  15. tehxeno
    OP

    Newcomer tehxeno Member

    Joined:
    Feb 28, 2010
    Messages:
    13
    Country:
    United States
    it must have been the one from the loaders page, 'cause I had that one installed.
    When I just re-installed 1.6 RC2 it loads without debug. Thanks!
     
  16. coolness

    Banned coolness PSN: Dutch_DarkLord

    Joined:
    Jun 14, 2009
    Messages:
    2,016
    Location:
    Rotterdam Bitches!!
    Country:
    Netherlands
    are you sure:P?
    because i have update my Acekard 2i dsi file on my dslite and noting changed [​IMG] only the icon
     
  17. thefullmonty

    Newcomer thefullmonty Member

    Joined:
    Mar 25, 2010
    Messages:
    17
    Country:
    United States
    Is it necessary to upgrade to 1.4 if you only have a DSL?
     
  18. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,881
    Location:
    that place
    Country:
    Canada
    He's wrong. The "DSi" file is for updating a single Acekard, but it happens to work on DSis 1.3 and below. The "DSL" file is designed to update multiple Acekards, but it only works on a DS lite or a DS phat.
     
  19. Bitbyte

    Member Bitbyte GBAtemp Advanced Fan

    Joined:
    Dec 20, 2003
    Messages:
    985
    Location:
    ._________.
    Country:
    Belgium
    Are you saying the Ak2i bricked your NDS Lite?
     
  20. coolness

    Banned coolness PSN: Dutch_DarkLord

    Joined:
    Jun 14, 2009
    Messages:
    2,016
    Location:
    Rotterdam Bitches!!
    Country:
    Netherlands
    okey
     

Share This Page